[UX] Review of share panel UI
The share button/panel has been in Nightly for a few weeks now. While we all should dogfood it, I think it makes sense to have a dedicated UI review to ensure that consistent styling and discoverablity.